import cs from 'classnames';
import React__default from 'react';
import { Typo } from '../Typo/index.js';
import { Header, NavCenterStyle } from './style.js';

const MinWidth = "E_4100_0_7_m196gn1d";
const Nav = ({
  left,
  right,
  center,
  isScrolled,
  navRef,
  className,
  "data-testid": dataTestId
}) => {
  return /* @__PURE__ */React__default.createElement(Header, {
    "data-testid": dataTestId,
    ref: navRef,
    className: cs(MinWidth, className),
    id: "global-header"
  }, /* @__PURE__ */React__default.createElement("div", {
    className: "left"
  }, left), /* @__PURE__ */React__default.createElement("div", {
    className: cs("center", NavCenterStyle, Typo.Heading.h3_bold_title, isScrolled && "is-scrolled")
  }, center), /* @__PURE__ */React__default.createElement("div", {
    className: cs("right", isScrolled && "is-scrolled")
  }, /* @__PURE__ */React__default.createElement("span", {
    className: "btn-group"
  }, right)));
};
var Nav$1 = Nav;

export { Nav$1 as default };
